### Class method

# GObject ObjectClass list_properties

#### Declaration

    GParamSpec**
    g_object_class_list_properties (
      GObjectClass* oclass,
      guint* n_properties
    )

#### Description

Get an array of `GParamSpec`* for all properties of a class.

#### Parameters

`n_properties`

  Type: `guint*`

  Return location for the length of the returned array.

  The argument will be set by the function.

#### Return value

Type: An array of `GParamSpec*`

An array of `GParamSpec`* which should be freed after use.

The length of the array is in the `n_properties` argument.
The caller of the method takes ownership of the returned data container, but not the data inside it.